<?php
/**
 * Webkul Software.
 *
 * @category  Webkul
 * @package   Webkul_MpBuyerSellerChatApi
 * @author    Webkul
 * @copyright Copyright (c) Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */
namespace Webkul\MpBuyerSellerChatApi\Model;

use Webkul\MpBuyerSellerChatApi\Api\Data\CustomerListInterface;

class CustomerList extends \Magento\Framework\DataObject implements CustomerListInterface
{
    /**
     * Get Name
     *
     * @return string|null
     */
    public function getName()
    {
        return $this->getData(self::NAME);
    }
     
    /**
     * Set Name
     * @param string
     * @return string $name
     */
    public function setName($name)
    {
        return $this->setData(self::NAME, $name);
    }

    /**
     * Get Status
     *
     * @return integer|null
     */
    public function getStatus()
    {
        return $this->getData(self::STATUS);
    }
     
    /**
     * Set Token
     * @param integer
     * @return integer $status
     */
    public function setStatus($status)
    {
        return $this->setData(self::STATUS, $status);
    }

    /**
     * Get Status
     *
     * @return boolean|null
     */
    public function getSuccess()
    {
        return $this->getData(self::SUCCESS);
    }
     
    /**
     * Set Token
     * @param boolean
     * @return boolean $success
     */
    public function setSuccess($success)
    {
        return $this->setData(self::SUCCESS, $success);
    }

    /**
     * Get Message
     *
     * @return string|null
     */
    public function getMessage()
    {
        return $this->getData(self::MESSAGE);
    }
     
    /**
     * Set Message
     * @param string
     * @return integer $messgae
     */
    public function setMessage($message)
    {
        return $this->setData(self::MESSAGE, $message);
    }

    /**
     * Get fcm key
     *
     * @return string|null
     */
    public function getFcmKey()
    {
        return $this->getData(self::FCM_KEY);
    }
     
    /**
     * Set Fcm Key
     * @param string
     * @return string $key
     */
    public function setFcmKey($key)
    {
        return $this->setData(self::FCM_KEY, $key);
    }

    /**
     * Get Ios Topic
     *
     * @return string|null
     */
    public function getIosTopic()
    {
        return $this->getData(self::IOS_TOPIC);
    }
     
    /**
     * Set Ios Topic
     * @param string
     * @return string $topic
     */
    public function setIosTopic($topic)
    {
        return $this->setData(self::IOS_TOPIC, $topic);
    }

    /**
     * Get Android Topic
     *
     * @return string|null
     */
    public function getAndroidTopic()
    {
        return $this->getData(self::ANDROID_TOPIC);
    }
     
    /**
     * Set Android Topic
     * @param string
     * @return string $topic
     */
    public function setAndroidTopic($topic)
    {
        return $this->setData(self::ANDROID_TOPIC, $topic);
    }

    /**
     * Get Unique Id
     *
     * @return string|null
     */
    public function getUniqueId()
    {
        return $this->getData(self::UNIQUE_ID);
    }
     
    /**
     * Set Unique Id
     * @param string
     * @return string $uniqueId
     */
    public function setUniqueId($uniqueId)
    {
        return $this->setData(self::UNIQUE_ID, $uniqueId);
    }


    /**
     * Get customer list.
     *
     * @return \Webkul\MpBuyerSellerChatApi\Api\Data\CustomerInterface[]
     */
    public function getCustomerList()
    {
        return $this->getData(self::CUSTOMER_LIST);
    }

    /**
     * Set customer list.
     *
     * @param \Webkul\MpBuyerSellerChatApi\Api\CustomerInterface[] $items
     * @return $this
     */
    public function setCustomerList(array $items)
    {
        return $this->setData(self::CUSTOMER_LIST, $items);
    }

    /**
     * Get Status
     *
     * @return string|null
     */
    public function getProfileImage()
    {
        return $this->getData(self::PROFILE_IMAGE);
    }
     
    /**
     * Set Token
     * @param string
     * @return string $profileImage
     */
    public function setProfileImage($profileImage)
    {
        return $this->setData(self::PROFILE_IMAGE, $profileImage);
    }

    /**
     * Get total count.
     *
     * @return int
     */
    public function getTotalCustomerList()
    {
        return $this->getData(self::TOTAL_CUSTOMER_LIST);
    }

    /**
     * Set total count.
     *
     * @param int $totalCount
     * @return $this
     */
    public function setTotalCustomerList($totalCount)
    {
        return $this->setData(self::TOTAL_CUSTOMER_LIST, $totalCount);
    }
}
